For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETList IMSIs
        • GETGet IMSI
        • PATCHUpdate IMSI status
        • GETGet IMSI status
        • GETList IMSI events
LogoLogo
Request featuresContact support
API ReferenceImsi

List IMSIs

GET
https://cdn.emnify.net/api/v1/imsi
GET
/api/v1/imsi
$curl -G https://cdn.emnify.net/api/v1/imsi \
> -H "Authorization: Bearer <token>" \
> -d q= \
> -d sort=
200IMSI_ImsiPerPageSortByQAndPageGet_example
1[
2 {
3 "id": 17,
4 "imsi": "112201234567008",
5 "import_date": "2019-03-25T13:12:39.000Z",
6 "status": {
7 "id": 0,
8 "description": "Enabled"
9 },
10 "imsi_pool": {
11 "id": 7,
12 "description": "MNO 1 Pool",
13 "network_coverage_id": 2,
14 "resource_provider": {
15 "id": 3,
16 "status_id": 0,
17 "organisation_id": 4,
18 "organisation_name": "MNO 1"
19 }
20 },
21 "type": {
22 "id": 0,
23 "description": "Root IMSI"
24 },
25 "sim": {
26 "id": 20,
27 "iccid": "6660000000000000005",
28 "production_date": null,
29 "status_id": 0,
30 "sim_model_id": 3,
31 "customer_org": {
32 "id": 11,
33 "name": "Reseller 3 C5",
34 "type_id": 3,
35 "country_id": 14,
36 "status_id": 0,
37 "ext_reference": null
38 },
39 "issuer_org": {
40 "id": 5,
41 "name": "Service Provider 1",
42 "type_id": 2,
43 "country_id": 205,
44 "status_id": 0,
45 "ext_reference": null
46 }
47 }
48 },
49 {
50 "id": 18,
51 "imsi": "232201234567456",
52 "import_date": "2019-03-27T17:16:32.000Z",
53 "status": {
54 "id": 0,
55 "description": "Enabled"
56 },
57 "imsi_pool": {
58 "id": 7,
59 "description": "MNO 1 Pool",
60 "network_coverage_id": 2,
61 "resource_provider": {
62 "id": 3,
63 "status_id": 0,
64 "organisation_id": 4,
65 "organisation_name": "MNO 1"
66 }
67 },
68 "type": {
69 "id": 0,
70 "description": "Root IMSI"
71 },
72 "sim": {
73 "id": 21,
74 "iccid": "6660000000000000006",
75 "production_date": null,
76 "status_id": 0,
77 "sim_model_id": 3,
78 "customer_org": {
79 "id": 11,
80 "name": "Reseller 3 C5",
81 "type_id": 3,
82 "country_id": 14,
83 "status_id": 0,
84 "ext_reference": null
85 },
86 "issuer_org": {
87 "id": 5,
88 "name": "Service Provider 1",
89 "type_id": 2,
90 "country_id": 205,
91 "status_id": 0,
92 "ext_reference": null
93 }
94 }
95 }
96]
Returns the list of IMSIs, filtered, sorted and paged according to query parameters.
Was this page helpful?
Previous

List SIMs

Next

Get IMSI

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Query parameters

qstringOptionalformat: "(id|status|imsi|sim|import_date|type|imsi_pool)\:.+"
Filter parameter in `<parameter>:<value>` format. Multiple filters must be a comma-separated list of the following fields: - `id` - `status` - `imsi` - `sim` - `import_date` - `type` - `imsi_pool`
pagedoubleOptional
Current page number
per_pagedoubleOptional
Paging parameters defining the number of items per page
sortstringOptionalformat: "-?(id|status|imsi|sim|import_date|type|imsi_pool),?"
Sort parameter in `<operator><field>` format. Sort properties according to a comma-separated list from the following fields: - `id` - `status` - `imsi` - `sim` - `import_date` - `type` - `imsi_pool`

Response headers

Linkstring
URLs for navigational links used to retrieve first, previous, next and last page in a dataset
X-Count-Per-Pageinteger

The requested per_page parameter

X-Current-Pageinteger
The current page number within the current data set
X-Total-Countinteger
The total element count in the current data set
X-Total-Pagesinteger
The total page count in the current data set
X-Filterstring

If filtering is applied using ?q=field:criteria URL query parameters, the filter criteria is returned here

X-Sortstring

If sorting is applied using ?sort=sort_criteria URL query parameters, the sort criteria is returned here

Response

Successfully returned a list of IMSIs
idinteger
imsistring
import_datestring
statusobject
imsi_poolobject
typeobject
simobject

Filter parameter in <parameter>:<value> format. Multiple filters must be a comma-separated list of the following fields:

  • id
  • status
  • imsi
  • sim
  • import_date
  • type
  • imsi_pool

Sort parameter in <operator><field> format. Sort properties according to a comma-separated list from the following fields:

  • id
  • status
  • imsi
  • sim
  • import_date
  • type
  • imsi_pool